.transaccion-flag {
    width: 30px;
}

.simulador-detail-container {
    li {
        width: max-content;
    }
}

.transaccion-time {
    position: static;
    top: 15px;
    right: 25px;
    margin-top: 1rem;
}

@media(min-width: 1200px) {
    .transaccion-time {
        position: absolute;
        top: 2px;
    }
}

#simulador {
    background-color: #fff;
    padding: 1rem 3rem;

    .moneda-container {
        border: 2px solid #1db578;
        border-radius: 24px;
        overflow: hidden;

        .moneda-select-container {
            font-size: 16px;

            padding-right: 0 !important;
            height: 40px;

            .select2-selection {
                height: 40px;
                width: 91px;
                border: none;
            }

            .select2-container,
            .select2-selection__rendered {
                width: 110px !important;
            }

            .select2-selection__rendered {
                display: flex;
                padding: 6px;
            }

            .select2-selection__rendered,
            .select2-results__option {
                display: flex;
                align-items: center;
            }
        }

        .moneda-input {
            height: 42px;
            font-size: 17px !important;

            padding-left: 35px;
            border: none;
        }
    }
}

#cupon-status-container #cupon-error,
#cupon-status-container #cupon-success {
    display: none;
}

#cupon-status-container.error #cupon-error,
#cupon-status-container.success #cupon-success {
    display: flex
}

.select2-results__option[aria-disabled="true"] {
    display: none !important;
}

.color-primary li span {
    color: #1db578 !important;
    font-weight: 700;
}

.simulador-flag {
    width: 28px !important;
    height: 18px !important;
    margin-right: 4px;
}

.select2-selection__arrow {
    top: auto !important;
}


.simulador-detail-container {
    display: flex;
    justify-content: end;

    ul li {
        line-height: 21px;
    }
}



/****** new *****/
#simulador {
    background-color: #fff;
    padding: 3rem 3rem;
}

#transacciones-container {
    height: 500px;
	position: relative;
    overflow: hidden;
}

#transacciones-container:before {
    content: '';
    width: 100%;
    height: 30px;
    background: linear-gradient(to bottom, #ffffff, transparent);
    position: absolute;
    z-index: 99;
    top: 0px;
    left: 0px;
}

#transacciones-container:after {
    content: '';
    width: 100%;
    height: 30px;
	background: linear-gradient(to bottom, transparent, #ffffff);
    position: absolute;
    z-index: 99;
    bottom: 0px;
    left: 0px;
}

#a1q4b25mp {
    transition: 40s linear;
    animation: rightToLeft2 40s linear;
    animation-iteration-count: infinite;
	flex-direction: column;
    display: flex;
	gap: 10px;
}

@keyframes rightToLeft2 {
    0% {
        transform: translateY(0%);
    }

    50% {
        transform: translateY(-50%);
    }

    100% {
        transform: translateY(0%);
    }
}

#BodySolex .vx2lmm5tm {
	width: 100%;
	padding: 10px 20px;
	border-radius: 40px;
	border: 2px solid #1db578;
	background-color: rgba(233, 233, 233, 0.486);
	justify-content: space-between;
	display: flex;
}

#BodySolex .ag5m2t2mz {
    display: flex;
    justify-content: space-between;
}

#BodySolex .rqm2tn15i {
	width: 170px;
    display: flex;
    align-items: center;
    gap: 7px;
}

#BodySolex .vxakjnm25 {
	width: 20px;
	margin: 0px 0px;
}

#BodySolex .ep22nk5m2 {
	width: 170px;
    display: flex;
    align-items: center;
	justify-content: flex-end;
    gap: 7px;
}

#BodySolex .n2ynm25u3 {
	width: 30px;
}

#BodySolex .nnabpm5d2 {
	width: 100%;
	color: #000000;
	font-size: 17px;
	text-align: left;
	margin: 0px 0px;
	flex: 1;
}

#BodySolex .qyj25mi1p {
	width: 100%;
	color: #000000;
	font-size: 17px;
	text-align: right;
	margin: 0px 0px;
	flex: 1;
}

#BodySolex .g29nm05hc {
    width: 150px;
    color: #000000;
    font-size: 14px;
	font-weight: 500;
    text-align: right;
    margin: 0px 0px;
}

#BodySolex .y8emc1326 {
	display: flex;
    align-items: flex-end;
    gap: 10px;
}

#BodySolex .g4c4m3dm2 {
	width: 25px;
	display: none;
}

#BodySolex .swal2-title {
	font-size: 20px;
}

#BodySolex .swal2-popup {
	font-size: 14px;
}

@media(max-width: 768px){
	
	#transacciones-container {
		height: 500px;
	}

	#simulador {
		padding: 30px 10px;
	}
	
	#BodySolex .jmm4542kg {
		padding: 10px 15px;
	}
	
	#BodySolex .vx2lmm5tm {
		padding: 10px 10px;
		border-radius: 15px;
		flex-direction: column;
	}
	
	#BodySolex .rqm2tn15i {
		width: 40%;
		flex: 1;
	}

	#BodySolex .ep22nk5m2 {
		width: 40%;
		flex: 1;
	}
	
	#BodySolex .g29nm05hc {
		width: 100%;
		line-height: 14px;
		text-align: center;
		padding-top: 5px;
	}
	
	#BodySolex .nnabpm5d2 {
		font-size: 14px;
	}
	
	#BodySolex .qyj25mi1p {
		font-size: 14px;
	}
	
	#BodySolex .n2ynm25u3 {
		width: 25px;
	}

}